Bug 220149 - net/freeswitch: Update to 1.6.19
Summary: net/freeswitch: Update to 1.6.19
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Richard Gallamore
URL:
Keywords: easy, patch-ready
Depends on:
Blocks: 217899 219450
  Show dependency treegraph
 
Reported: 2017-06-20 09:19 UTC by Šimun Mikecin
Modified: 2018-02-24 23:26 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (corsmith)


Attachments
svn diff to update from 1.6.13 to 1.6.18 (6.56 KB, patch)
2017-06-20 09:19 UTC, Šimun Mikecin
no flags Details | Diff
Update to 1.6.19; passes QA (7.05 KB, patch)
2017-07-19 08:22 UTC, Šimun Mikecin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Šimun Mikecin 2017-06-20 09:19:52 UTC
Created attachment 183642 [details]
svn diff to update from 1.6.13 to 1.6.18
Comment 1 Šimun Mikecin 2017-06-26 10:17:49 UTC
This patch makes these PR's obsolete:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=217899
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=219450
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2017-06-26 10:58:33 UTC
Thank you Šimun, can you (and/or maintainer) confirm this change passes QA please (portlint, poudriere). 

For more information and instruction, see: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing.html
Comment 3 Šimun Mikecin 2017-07-19 07:36:01 UTC
FYI,

this change doesn't block PR 219450, it obsoletes it because patch in PR 219450 is not needed in the new version.
Comment 4 Šimun Mikecin 2017-07-19 08:22:49 UTC
Created attachment 184491 [details]
Update to 1.6.19; passes QA
Comment 5 Richard Gallamore freebsd_committer 2017-07-26 02:42:45 UTC
QA passes, also sorted and modernized the port, just waiting for approval.

https://reviews.freebsd.org/D11736
Comment 6 Richard Gallamore freebsd_committer 2017-08-05 19:09:04 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2017-08-05 19:09:18 UTC
A commit references this bug:

Author: ultima
Date: Sat Aug  5 19:08:36 UTC 2017
New revision: 447411
URL: https://svnweb.freebsd.org/changeset/ports/447411

Log:
  * Updated to 1.6.19
  * Modernized port
  * Moved ONLY_FOR_ARCHS, Comes before *_DEPENDS and after LICENSE section
  * Moved and sorted USES, and USE_x section
  * Sorted Options section

  PR:		220149
  Submitted by:	?imun Mikecin <numisemis@yahoo.com>
  Reviewed by:	matthew (mentor)
  Approved by:	matthew (mentor), maintainer timeout (2+ weeks)
  Differential Revision:	https://reviews.freebsd.org/D11736

Changes:
  head/net/freeswitch/Makefile
  head/net/freeswitch/distinfo
  head/net/freeswitch/files/extrapatch-modules.conf
  head/net/freeswitch/files/patch-build_Makefile.in
  head/net/freeswitch/pkg-plist
Comment 8 Rajil Saraswat 2018-02-24 23:26:08 UTC
Can somebody modify the port to enable postgresql support at compile time. It is required to support FusionPBX (https://www.fusionpbx.com/).